/**
* Vmbackup App
* There are different ways implementing an App
*/
var CfgbackupApp = CfgbackupApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
CfgbackupApp.App = function () {
    this.id = 'CfgbackupApp';
    this.name = 'cfgbackup';
    this.version = '6.0.5';
    this.active = false;
    this.menuIcon = '/apps/cfgbackup/images/logo.png?v=6.0.5&';
    this.shortcutIcon = '/apps/cfgbackup/images/logo.png?v=6.0.5&';
    this.entryUrl = '/apps/cfgbackup/cfgbackup.html?v=6.0.5&';
    var self = this;
    this.CfgbackupAppWindow = function () { //create app window
        if(UNAS.CheckAppState('cfgbackup')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'CfgbackupWindow',
            title: UNAS._('cfgbackup'),
            icon: '/apps/cfgbackup/images/logo_small.png?v=6.0.5&',
            width: 800,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [700, 2000], 'y': [450, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/cfgbackup/cfgbackup.html',
            require: {  css: [
              '/apps/cfgbackup/css/cfgbackup.css?v=6.0.5&',
              '/apps/cfgbackup/css/alert.css?v=6.0.5&'
            ] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("cfgbackup",'CfgbackupWindow')},
            onClose:function(){

            }
        });
    };
    this.CfgbackupUninstall = function (){
        UNAS.RemoveDesktopShortcut('cfgbackup');
        UNAS.RemoveMenu('cfgbackup');
        UNAS.RemoveAppFromGroups('cfgbackup', 'ControlPanel');
        UNAS.RemoveAppFromGroups('cfgbackup', 'Help');
        UNAS.RemoveAppFromApps('cfgbackup');
    }
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'cfgbackup', '', this.CfgbackupAppWindow);
    // new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'cfgbackup', this.CfgbackupAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 5, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('cfgbackup', UNAS._('cfgbackup')); //translate menu
        //UNAS.SetShortcutTitle('Vmbackup', UNAS._('Vmbackup')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('CfgbackupAppWindow', UNAS._('cfgbackup'));
        }
    }
    UNAS.LoadTranslation('/apps/cfgbackup/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.CfgbackupAppWindow,this.CfgbackupAppUninstall);
};
new CfgbackupApp.App(); //Create app
